Package org.thymeleaf.extras.springsecurity5.auth

## Class AuthUtils

- Object
- - org.thymeleaf.extras.springsecurity5.auth.AuthUtils

-     public final class AuthUtils
      extends Object

  Author:
    Daniel Fernández

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `authorizeUsingAccessExpression​(org.thymeleaf.context.IExpressionContext context, String accessExpression, org.springframework.security.core.Authentication authentication)` |
    `static boolean` | `authorizeUsingUrlCheck​(org.thymeleaf.context.IExpressionContext context, String url, String method, org.springframework.security.core.Authentication authentication)` |
    `static org.springframework.security.core.Authentication` | `getAuthenticationObject​(org.thymeleaf.context.IExpressionContext context)` |
    `static Object` | `getAuthenticationProperty​(org.springframework.security.core.Authentication authentication, String property)` |
    `static org.springframework.context.ApplicationContext` | `getContext​(org.thymeleaf.context.IContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAuthenticationObject

          public static org.springframework.security.core.Authentication getAuthenticationObject​(org.thymeleaf.context.IExpressionContext context)

    - #### getAuthenticationProperty

          public static Object getAuthenticationProperty​(org.springframework.security.core.Authentication authentication,
                                                         String property)

    - #### authorizeUsingAccessExpression

          public static boolean authorizeUsingAccessExpression​(org.thymeleaf.context.IExpressionContext context,
                                                               String accessExpression,
                                                               org.springframework.security.core.Authentication authentication)

    - #### authorizeUsingUrlCheck

          public static boolean authorizeUsingUrlCheck​(org.thymeleaf.context.IExpressionContext context,
                                                       String url,
                                                       String method,
                                                       org.springframework.security.core.Authentication authentication)

    - #### getContext

          public static org.springframework.context.ApplicationContext getContext​(org.thymeleaf.context.IContext context)